package be.iminds.ilabt.jfed.call_log_output;

import javax.xml.namespace.QName;

/**
 * User: twalcari
 * Date: 4/8/2015
 * Time: 13:47
 */
public class CallReportConstants {

    public static final QName Q_STITCHING_REPORT = new QName("StitchingReport");
    public static final QName Q_CALL_REPORT = new QName("CallReport");

    public static final QName Q_TITLE = new QName("title");
    public static final QName Q_REPORTER = new QName("reporter");


    public static final QName Q_STATES = new QName("states");
    public static final QName Q_STATE = new QName("state");


    public static final QName Q_START = new QName("start");
    public static final QName Q_END = new QName("end");
    public static final QName Q_NAME = new QName("name");

    public static final QName Q_LOGENTRIES = new QName("logentries");
    public static final QName Q_LOGENTRY = new QName("logentry");

    public static final QName Q_TYPE = new QName("type");
    public static final QName Q_TEXT = new QName("text");
    public static final QName Q_TIME_IN_MS = new QName("timeInMs");
    public static final QName Q_EXCEPTION = new QName("exception");

    public static final QName Q_CALLS = new QName("calls");
    public static final QName Q_CALL_REF = new QName("call-ref");
    public static final QName Q_CALL_REF_ID = new QName("id");


    public static final QName Q_STATESTATE = new QName("statestate");



}
